MyGUI: MyGUI::Version Class Reference

MyGUI 3.2.2

Public Member Functions | Static Public Member Functions | Friends
MyGUI::Version Class Reference

`#include <MyGUI_Version.h>`

## Public Member Functions
| Version (unsigned int _major=0, unsigned int _minor=0, unsigned int _patch=0)
unsigned int | getMajor () const
unsigned int | getMinor () const
unsigned int | getPatch () const
std::string | print () const

## Static Public Member Functions
static Version | parse (const std::string &_value)

## Friends
bool | operator< (Version const &a, Version const &b)
bool | operator>= (Version const &a, Version const &b)
bool | operator> (Version const &a, Version const &b)
bool | operator<= (Version const &a, Version const &b)
bool | operator== (Version const &a, Version const &b)
bool | operator!= (Version const &a, Version const &b)
std::ostream & | operator<< (std::ostream &_stream, const Version &_value)
std::istream & | operator>> (std::istream &_stream, Version &_value)

## Detailed Description

Definition at line 17 of file MyGUI_Version.h.

## Constructor & Destructor Documentation

## ◆ Version()

MyGUI::Version::Version | ( | unsigned int | _major = `0`,
|  | unsigned int | _minor = `0`,
|  | unsigned int | _patch = `0`
| ) |  |
| inline

Definition at line 21 of file MyGUI_Version.h.

## Member Function Documentation

## ◆ getMajor()

unsigned int MyGUI::Version::getMajor | ( |  | ) | const
| inline

Definition at line 72 of file MyGUI_Version.h.

## ◆ getMinor()

unsigned int MyGUI::Version::getMinor | ( |  | ) | const
| inline

Definition at line 77 of file MyGUI_Version.h.

## ◆ getPatch()

unsigned int MyGUI::Version::getPatch | ( |  | ) | const
| inline

Definition at line 82 of file MyGUI_Version.h.

## ◆ parse()

static Version MyGUI::Version::parse | ( | const std::string & | _value | ) |
| inlinestatic

Definition at line 94 of file MyGUI_Version.h.

## ◆ print()

std::string MyGUI::Version::print | ( |  | ) | const
| inline

Definition at line 87 of file MyGUI_Version.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | Version const & | a,
|  | Version const & | b
| ) |  |
| friend

Definition at line 53 of file MyGUI_Version.h.

## ◆ operator<

bool operator< | ( | Version const & | a,
|  | Version const & | b
| ) |  |
| friend

Definition at line 28 of file MyGUI_Version.h.

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | _stream,
|  | const Version & | _value
| ) |  |
| friend

Definition at line 58 of file MyGUI_Version.h.

## ◆ operator<=

bool operator<= | ( | Version const & | a,
|  | Version const & | b
| ) |  |
| friend

Definition at line 43 of file MyGUI_Version.h.

## ◆ operator==

bool operator== | ( | Version const & | a,
|  | Version const & | b
| ) |  |
| friend

Definition at line 48 of file MyGUI_Version.h.

## ◆ operator>

bool operator> | ( | Version const & | a,
|  | Version const & | b
| ) |  |
| friend

Definition at line 38 of file MyGUI_Version.h.

## ◆ operator>=

bool operator>= | ( | Version const & | a,
|  | Version const & | b
| ) |  |
| friend

Definition at line 33 of file MyGUI_Version.h.

## ◆ operator>>

std::istream& operator>> | ( | std::istream & | _stream,
|  | Version & | _value
| ) |  |
| friend

Definition at line 64 of file MyGUI_Version.h.

The documentation for this class was generated from the following file:

- MyGUI_Version.h